/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef EditMacros_included
#define EditMacros_included

#include <qwidget.h>
#include <symtable.h>
#include <qmsgbox.h>

#include "EditMacrosData.h"
#include "MCListBox.h"
#include "MultiLabel.h"
#include "barracuda.h"

class EditMacros : public QWidget,
			private EditMacrosData
{
    Q_OBJECT

public:

    EditMacros
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~EditMacros();

    void eShow (Options *o);

signals:
    void closedMacros (bool ok);

protected:
    void resizeEvent (QResizeEvent *);

private:
    void showMacros ();

    MCListBox *table;
    MultiLabel *title;
    Options *opt;

public slots:
    void ok ();
    void cancel ();
    void insert ();
    void del ();
    void clear ();
    void resizeColumn (int);
    void displayMacro (int row);
    void edited (const char *);
};
#endif // EditMacros_included
