/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef Sort_included
#define Sort_included

#include <qdialog.h>
#include <qcombo.h>
#include "SortData.h"

#include <keywords.h>

struct SortSpec
{
    int *ordering;
    SortSpec();
    ~SortSpec();
    bool descending;
    void makeDefault();
};



class Sort : public QDialog,
			private SortData
{
    Q_OBJECT

public:

    Sort
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~Sort();
    bool eShow(SortSpec *);

public slots:
    void ok();
    void cancel();
    void descend();
    void ascend();
    void comboPressed(int);

private:
    SortSpec *mySpec;
    QComboBox *myCombo[LAST_FIELD-FIRST_FIELD+2];
    int choice[LAST_FIELD-FIRST_FIELD+2];
};
#endif // Sort_included

