/* Reference types */

extern
#ifdef __cplusplus
"C"
#endif
char *keywords[];

extern
#ifdef __cplusplus
"C"
#endif
char *optionLabels[];

extern
#ifdef __cplusplus
"C"
#endif
char *commands[];

#define FIRST_REFERENCE 1
#define ARTICLE 1
#define INPROCEEDINGS 2
#define INCOLLECTION 3
#define INBOOK 4
#define PROCEEDINGS 5
#define BOOK 6
#define BOOKLET 7
#define PHDTHESIS 8
#define MASTERSTHESIS 9
#define TECHREPORT 10
#define MANUAL 11
#define UNPUBLISHED 12
#define MISC 13
#define LAST_REFERENCE 13

#define SUPER_REFERENCE 14

/* Reference attribute types */
#define FIRST_FIELD 14

#define AUTHOR 14
#define TITLE 15
#define JOURNAL 16
#define YEAR 17
#define KEY 18
#define VOLUME 19
#define NUMBER 20
#define MONTH 21
#define PAGES 22
#define NOTE 23
#define ANNOTE 24

#define BOOKTITLE 25
#define CROSSREF 26
#define EDITOR 27
#define SERIES 28
#define ORGANIZATION 29
#define PUBLISHER 30
#define ADDRESS 31

#define CHAPTER 32
#define TYPE 33
#define EDITION 34

#define HOWPUBLISHED 35

#define SCHOOL 36

#define INSTITUTION 37

#define LAST_FIELD 37

#define ID 38

#define END 39

#define FIRST_PREF 1
#define EXPAND_MACRO 1
#define LAZY_COLUMN 2
#define VERBOSE_PARSE 3
#define NO_SILLY_WARN 4
#define NO_SILLY_STARTUP 5
#define CASE_SEARCH 6
#define DEL_STYLE 7
#define SAVE_UNUSED_MACROS 8
#define CONVERT_TEX 9
#define LAST_PREF 9

/* Commands that can be shortcut */

#define FIRST_COMMAND             0

/* Menu id:s */
#define NEW_MENU_ID               0
#define OPEN_MENU_ID              1
#define OPEN_DB_MENU_ID           2
#define OPEN_MACRO_MENU_ID        3
#define SAVE_MENU_ID              4
#define SAVE_AS_MENU_ID           5
#define SAVE_MACROS_MENU_ID       6
#define PRINT_MENU_ID             7
#define EXIT_MENU_ID              8
#define INSERT_RECORD_MENU_ID     9
#define DELETE_RECORD_MENU_ID     10
#define EDIT_RECORD_MENU_ID       11
#define EDIT_MACRO_MENU_ID        12
#define PREFERENCES_MENU_ID       13
#define SIMPLE_SEARCH_MENU_ID     14
#define KEYBINDINGS_MENU_ID       15
#define VIEW_TYPES_MENU_ID        16 
#define SAVE_OPTIONS_MENU_ID      17
#define SEARCH_MENU_ID            18
#define SORT_MENU_ID              19
#define SPAWN_BROWSER_MENU_ID     20
#define ABOUT_MENU_ID             21
#define ARTICLE_MENU_ID           22
#define INPROCEEDINGS_MENU_ID     23
#define INCOLLECTION_MENU_ID      24
#define INBOOK_MENU_ID            25  
#define BOOK_MENU_ID              26
#define BOOKLET_MENU_ID           27
#define PHDTHESIS_MENU_ID         28
#define MASTERSTHESIS_MENU_ID     29
#define TECHREPORT_MENU_ID        30
#define MANUAL_MENU_ID            31
#define UNPUBLISHED_MENU_ID       32
#define MISC_MENU_ID              33
#define PROCEEDINGS_MENU_ID       34
#define MAX_MENU_ID               34

#define REWIND_BTN_ID             35
#define BACK_BTN_ID               36
#define FORWARD_BTN_ID            37
#define FAST_FORWARD_BTN_ID       38
#define SEARCH_BACK_BTN_ID        39
#define SEARCH_FORWARD_BTN_ID     40

#define SHOW_SEARCH_BTN_ID        41
#define SHOW_NORMAL_BTN_ID        42

#define LAST_COMMAND              42

#define ABORT 0
#define SKIP 1
#define SKIP_ALL 2
#define REPLACE 3 
#define REPLACE_ALL 4




