/*
 * Message box dialog.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include "MessageBox.h"
#include <keywords.h>
#define Inherited QDialog

MessageBox::MessageBox
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE ),
	MessageBoxData( this )
{
    setCaption( "Warning" );
    connect(skipButton, SIGNAL(clicked()), this, SLOT(skip()));
    connect(skipAllButton, SIGNAL(clicked()), this, SLOT(skipAll()));
    connect(replaceButton, SIGNAL(clicked()), this, SLOT(replace()));
    connect(replaceAllButton, SIGNAL(clicked()), this, SLOT(replaceAll()));
    connect(abortButton, SIGNAL(clicked()), this, SLOT(abort()));
    returnValue_ = SKIP;
    
    messageLabel->setAutoResize(TRUE);
    newRefLabel->setAutoResize(TRUE);
    oldRefLabel->setAutoResize(TRUE);
}


MessageBox::~MessageBox()
{
}


extern int replacePolicy;

#define MYMAX(x,y) ((x) > (y) ? (x) : (y))

int
MessageBox::showMessage(char *msg, QString newObj, QString oldObj)
{
    int answer;

    if (replacePolicy == SKIP_ALL)
	return SKIP_ALL;
    if (replacePolicy == REPLACE_ALL)
	return REPLACE_ALL;
    MessageBox *mBox = new MessageBox;

    mBox->messageLabel->setText(msg);
    mBox->newRefLabel->setText(newObj);
    mBox->oldRefLabel->setText(oldObj);


    int maxh = MYMAX(mBox->newRefLabel->height(), 
		     mBox->oldRefLabel->height());
    mBox->skipButton->setGeometry(mBox->skipButton->x(),
				  maxh + 140,
				  mBox->skipButton->width(),
				  mBox->skipButton->height());
    
    mBox->skipAllButton->setGeometry(mBox->skipAllButton->x(),
				     maxh + 140, 
				     mBox->skipAllButton->width(),
				     mBox->skipAllButton->height());
				     
    mBox->replaceButton->setGeometry(mBox->replaceButton->x(),
				     maxh + 140,
				     mBox->replaceButton->width(),
				     mBox->replaceButton->height());

    mBox->replaceAllButton->setGeometry(mBox->replaceAllButton->x(),
					maxh + 140,
					mBox->replaceAllButton->width(),
					mBox->replaceAllButton->height());
				    
    mBox->abortButton->setGeometry(mBox->abortButton->x(),
				    maxh + 140,
				    mBox->abortButton->width(),
				    mBox->abortButton->height());  

    mBox->setGeometry(mBox->x(), mBox->y(), mBox->width(), maxh + 180);
    mBox->eShow();
    answer = mBox->returnValue();

    
    delete mBox;
    return answer;
}
    
int
MessageBox::returnValue()
{
    return returnValue_;
}

bool
MessageBox::eShow()
{
    show();
    return result();
}

void
MessageBox::skip()
{
    returnValue_ = SKIP;
    done(TRUE);
}

void
MessageBox::replace()
{
    returnValue_ = REPLACE;
    done(TRUE);
}

void
MessageBox::skipAll()
{
    returnValue_ = SKIP_ALL;
    done(TRUE);
}

void
MessageBox::replaceAll()
{
    returnValue_ = REPLACE_ALL;
    done(TRUE);
}

void
MessageBox::abort()
{
    returnValue_ = ABORT;
    done(TRUE);
}






