/*
 * Print dialog.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include "PrintDlg.h"
#include <qstring.h>
#include <qmsgbox.h>
#include <unistd.h>

#define Inherited QDialog

PrintDlg::PrintDlg
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE ),
	PrintDlgData( this )
{
	setCaption( "Print" );

	connect (printerRB, SIGNAL (clicked ()), this, SLOT (print ()));
	connect (texRB, SIGNAL (clicked ()), this, SLOT (tex ()));
	connect (psRB, SIGNAL (clicked ()), this, SLOT (ps ()));
	connect (okBtn, SIGNAL (clicked ()), this, SLOT (ok ()));
	connect (cancelBtn, SIGNAL (clicked ()), this, SLOT (cancel ()));
}


PrintDlg::~PrintDlg()
{
}


bool PrintDlg::eShow (output_type_t *res, QString *name, 
		      bool *pRef, bool *pMacro)
{
    this->res = res;
    this->name = name;
    this->pRef = pRef;
    this->pMacro = pMacro;
    *res = PRINTER;
    setAttributes ();
    show();
    return result ();
}

void PrintDlg::ok ()
{
    QString f, p;

    *pRef = refCheck->isChecked();
    *pMacro = macroCheck->isChecked();
    if (!*pRef && !*pMacro)
	done (FALSE);
    
    p = pName->text();
    f = fName->text();
    p = p.stripWhiteSpace ();
    f = f.stripWhiteSpace ();

    if ((*res == PRINTER && p.isEmpty ()) ||
	((*res == TEX || *res == PS) && f.isEmpty()))
	done (FALSE);

    if (*res == PRINTER)
	*name = p;
    else
	*name = f;
    done (TRUE);
}

void PrintDlg::cancel ()
{
    done (FALSE);
}

void PrintDlg::print ()
{
    *res = PRINTER;
    setAttributes ();
}


void PrintDlg::tex ()
{
    *res = TEX;
    setAttributes ();
}

void PrintDlg::ps ()
{
    *res = PS;
    setAttributes ();
}

void PrintDlg::setAttributes ()
{
    switch (*res)
    {
    case PRINTER:
	texRB->setChecked (FALSE);
	psRB->setChecked (FALSE);
	fName->setEnabled (FALSE);
	pName->setEnabled (TRUE);
	break;

    case TEX:
	printerRB->setChecked (FALSE);
	psRB->setChecked (FALSE);
	pName->setEnabled (FALSE);
	fName->setEnabled (TRUE);
	break;
	
    case PS:
	texRB->setChecked (FALSE);
	printerRB->setChecked (FALSE);
	pName->setEnabled (FALSE);
	fName->setEnabled (TRUE);
	break;
    }
}
