#include "Record.h"

#define Inherited QDialog

Record::Record
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE ),
	RecordData( this )
{
	setCaption( "Recording..." );

	s = new Shortcut (this);

	connect (s, SIGNAL (bufferChanged (const char *)),
		 feedback, SLOT (setText (const char *)));
	connect (stopBtn, SIGNAL (clicked ()), SLOT (stop ()));
}


Record::~Record()
{
    delete s;
}

QString Record::eShow ()
{
    s->startRecording ();

    show ();
    result ();

    return res;
}

void Record::stop ()
{
    int i;

    n = s->stopRecording (keys, MAXKEYS);

    res = QString ("");
    for (i = 0; i < n; i++)
    {
	if (keys[i] & (SHIFT | CTRL | ALT))
	    res += "\\";
	else if (i != 0)
	    res += " ";
	    
	res += Shortcut::keyToString (keys[i]);
    }

    done (0);
}

