/*
 * Search dialog.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include "SimpleSearch.h"

#define Inherited QDialog

SimpleSearch::SimpleSearch(QWidget* parent, const char* name)
	:
	Inherited( parent, name, TRUE ),
	SimpleSearchData( this )
{
	setCaption( "Simple search" );

	connect(forwardButton, SIGNAL(clicked()), this, SLOT(forward()));
	connect(backwardButton, SIGNAL(clicked()), this, SLOT(backward()));
	connect(okButton, SIGNAL(clicked()), this, SLOT(ok()));
	connect(cancelButton, SIGNAL(clicked()), this, SLOT(cancel()));
}


SimpleSearch::~SimpleSearch()
{
}

bool
SimpleSearch::getName(searchDir *dir, QString *oldString)
{
    if (dir == NULL || oldString == NULL) 
	return FALSE;

    editRuta->setText(*oldString);
    if (*dir == NO_DIRECTION || *dir == FORWARD)
    {
	forwardButton->setChecked(TRUE);
	backwardButton->setChecked(FALSE);
    }
    else
    {
	forwardButton->setChecked(FALSE);
	backwardButton->setChecked(TRUE);
    }

    mydir = dir; mystr = oldString;
    show();
    return result();
}
	
void
SimpleSearch::ok()
{
    if (forwardButton->isChecked())
	*mydir = FORWARD;
    else
	*mydir = BACKWARD;

    *mystr = editRuta->text();
    done(TRUE);
}

void
SimpleSearch::cancel()
{
    done(FALSE);
}

void
SimpleSearch::forward()
{
    backwardButton->setChecked(FALSE);
}

void
SimpleSearch::backward()
{
    forwardButton->setChecked(FALSE);
}

    
    
    
	
	
