/*
 * View types dialog.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#include "ViewTypes.h"

#define Inherited QDialog

ViewTypes::ViewTypes
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE ),
	ViewTypesData( this )
{
    QCheckBox *btns[LAST_FIELD-FIRST_FIELD+2]= 
	{author, title, journal, year, key, volume, 
	 number, month, pages, note, annote, booktitle,
	 crossref, editor, series, organization, 
	 publisher, address, chapter, type, edition, 
	 howPublished, school, institution, id};

    for (int i = 0; i <= (LAST_FIELD - FIRST_FIELD+1); i++)
	boxVect[i] = btns[i];

    setCaption ("View Types");

    connect (allBtn, SIGNAL (clicked()), this, SLOT (all()));
    connect (noneBtn, SIGNAL (clicked()), this, SLOT (none()));
    connect (cancelBtn, SIGNAL (clicked()), this, SLOT (cancel()));
    connect (okBtn, SIGNAL (clicked()), this, SLOT (ok()));
}


ViewTypes::~ViewTypes()
{
}


bool ViewTypes::eShow (Options *o)
{
    myopt = o;
    setTypes ();
    show ();
    return result();
}


void ViewTypes::setTypes ()
{
    int i;
    
    for (i = 0; i <= (LAST_FIELD - FIRST_FIELD+1); i++)
	boxVect[i]->setChecked (myopt->getType (i+FIRST_FIELD));
}


void ViewTypes::all ()
{
    int i;
    
    for (i = 0; i <= (LAST_FIELD - FIRST_FIELD+1); i++)
	boxVect[i]->setChecked (TRUE);
}

void ViewTypes::none ()
{
    int i;
    
    for (i = 0; i <= (LAST_FIELD - FIRST_FIELD+1); i++)
	boxVect[i]->setChecked (FALSE);
}

void ViewTypes::cancel ()
{
    done (FALSE);
}

void ViewTypes::ok ()
{
    int i;

    for (i = 0; i <= (LAST_FIELD - FIRST_FIELD+1); i++)
	myopt->setType (i+FIRST_FIELD, boxVect[i]->isChecked ());
    done (TRUE);
}
    
