/* MBMessageBox.h
 *
 * Header file for MBMessageBox.cc, declares the MBMessageBox class.
 * The MBMessageBox class implements a dialog which has a message and a 
 * dynamic number of buttons.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef MBMESSAGEBOX_H
#define MBMESSAGEBOX_H

#define MAXBUTTONS 5

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbt.h>

class MBMessageBox : public QDialog
{
    Q_OBJECT
public:
    static int query (const char *caption,
		      const char *text,
		      int numOfButtons,
		      ...);

    MBMessageBox (QWidget *parent = 0, const char *name = 0);
    ~MBMessageBox ();
    
    const char *text ();
    void setText (const char *);
    
    int numButtons ();
    void setNumButtons (int n);
    
    const char *buttonText (int button);
    void setButtonText (const char *, int button);

    void adjustSize ();
    
protected:
    void resizeEvent (QResizeEvent *);

private slots:
    void buttonPressed1 ();
    void buttonPressed2 ();
    void buttonPressed3 ();
    void buttonPressed4 ();
    void buttonPressed5 ();

private:
    void connectButton (int i);

    QLabel *label;
    QPushButton **buttons;
    int num;
};

#endif
