#include <qapp.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qobject.h>
#include "MultiLabel.h"
#include "MCListBox.h"

int main (int argc, char **argv)
{
    QApplication a (argc, argv);
    QWidget w;
    MCListBox m (&w);
    MultiLabel ml (&w, "ml");
    MCListBoxItem *i, *j;

    QObject::connect (&ml, SIGNAL (widthChanged (int, int)),
		      &m, SLOT (setColumnWidth (int, int)));
    QObject::connect (&m, SIGNAL (horizValueChanged (int)),
		      &ml, SLOT (setScrollOffset (int)));

    w.resize (350, 200);
    ml.move (25, 4);
    ml.resize (300, 25);
    m.move (25, 30);
    m.resize (300, 100);
    ml.setFrameStyle (QFrame::Panel  | QFrame::Raised);
//    ml.setDoDrag (TRUE);
    ml.setDrawLast (TRUE);
    m.setFont (QFont ("Times", 18, QFont::Bold));
    
    a.setMainWidget (&w);
    w.show ();

    i = new MCListBoxItem ();
    i->insertString ("P vstfronten intet nytt");
    i->insertString ("Hemmingway");
    i->insertString ("HEM91");

    j = new MCListBoxItem ();
    j->insertString ("Interesting Times");
    j->insertString ("Pratchett");
    j->insertString ("PRA95");

    m.insertColumn ();
    m.insertColumn ();
    m.insertColumn ();
    ml.insertColumn ("Title");
    ml.setColumnWidth (150, 0);
    ml.insertColumn ("Author");
    ml.insertColumn ("Key");
    m.insertItem (i);
    m.insertItem (j);
    m.insertItem (i);
    m.insertItem (j);
    m.insertItem (i);
    m.insertItem (j);
    m.insertItem (j);

    ml.setColumnVisible (FALSE, 1);
    m.setColumnVisible (FALSE, 1);

    return a.exec ();
}

