/* mlitem.h
 *
 * Declares the MultiLabelItem class.
 * This class should be used by the MultiLabel widget.
 *
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef MLITEM_H
#define MLITEM_H

#include <qframe.h>
#include <qpainter.h>
#include <qrect.h>
#include <qfont.h>
#include <qcolor.h>

class MultiLabelItem
{
public:
    MultiLabelItem ();
    ~MultiLabelItem ();

    void setLabel (const char *label)   { text = QString(label); }
    void setWidth (int neww)            { w = neww; }
    void setAlignment (int a)           { align = a; }
    void setMargin (int m)              { marg = m; }
    void setVisible (bool enable)       { vis = enable; }
    void setFont (QFont nf)             { f = nf; }
    
    const char *label ()                { return text; }
    int width ()                        { return w; }
    int alignment ()                    { return align; }
    int margin ()                       { return marg; }
    bool visible ()                     { return vis; }
    QFont font ()                       { return f; }
    
    void drawContents (QRect clipRect, const QColor color, QPainter *p);
    
private:
    QString text;
    int w;
    int align;
    int marg;
    bool vis;
    QFont f;
};

#endif
