#include <qapp.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qobject.h>
#include "Shortcut.h"
#include "CutTest.h"

MyWidget::MyWidget (QWidget *parent, const char *name)
    : QWidget (parent, name)
{
    lb = new QListBox (this);
    l = new QLabel (this);
    mesg = new QLabel (this);
    s = new Shortcut (this);

    resize (350, 200);
    lb->setGeometry (25, 25, 200, 125);
    l->setGeometry (25, 155, 200, 25);
    mesg->setGeometry (230, 25, 100, 125);
    l->setFrameStyle (QFrame::Panel | QFrame::Sunken);
    mesg->setFrameStyle (QFrame::Panel | QFrame::Sunken);

    QObject::connect (s, SIGNAL (bufferChanged (const char *)),
		      l, SLOT (setText (const char *)));
//    QObject::connect (s, SIGNAL (activated (int)),
//		      mesg, SLOT (setNum (int)));

    int k[2];

    for (int i = 0; i <= 5; i++)
	s->insertItem (k, 0, i);
    s->connectItem (1, this, SLOT(mesg1()));
    s->connectItem (3, this, SLOT(mesg2()));

    s->print (stderr);
    k[0] = CTRL + Key_X;
    k[1] = CTRL + Key_C;
    s->changeItem (k, 2, 1);
    k[0] = CTRL + ALT + Key_V;
    s->changeItem (k, 1, 3);

    s->print (stderr);
}

void MyWidget::mesg1 ()
{
    mesg->setText ("Message 1");
}

void MyWidget::mesg2 ()
{
    mesg->setText ("Message 2");
}

int main (int argc, char **argv)
{
    QApplication a (argc, argv);
    MyWidget w;

    a.setMainWidget (&w);
    w.show ();

    return a.exec ();
}
